summaryrefslogtreecommitdiff
path: root/.config/login.d
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-02-06 15:17:51 -0500
committerLuke Shumaker <shumakl@purdue.edu>2015-02-06 15:17:51 -0500
commitdab097d5000c4697761b6985cb3512f7bce0147f (patch)
tree7b81b7826a1e23822955560f0f73dc09cda6c8e8 /.config/login.d
parentf50b49ef26f5c692bda1f3f13cd38f9f4f395300 (diff)
parenta6f973687fb4a1a4558f74f7da595b6902a5dce0 (diff)
Merge remote-tracking branch 'origin/master' into purdue-cs/master
Conflicts: .config/X11/clientrc .config/bash/rc.d/emacs.sh .config/cron/make-config .config/emacs/custom.el .config/emacs/init.el .config/git/config .config/login.sh .config/selected_editor .local/bin/config-path
Diffstat (limited to '.config/login.d')
-rw-r--r--.config/login.d/00_coredumps.sh1
-rw-r--r--.config/login.d/00_path.sh9
-rw-r--r--.config/login.d/00_umask.sh1
-rw-r--r--.config/login.d/01_locale.sh3
-rw-r--r--.config/login.d/01_xdg.sh44
-rw-r--r--.config/login.d/02_tmpdir.sh21
-rw-r--r--.config/login.d/10_goroot.sh3
-rw-r--r--.config/login.d/10_gpg.sh3
-rw-r--r--.config/login.d/10_java.sh6
-rw-r--r--.config/login.d/10_selected-editor.sh11
-rw-r--r--.config/login.d/10_spell-check.sh3
-rw-r--r--.config/login.d/10_xauthority.sh4
-rw-r--r--.config/login.d/90_dot-runtime.sh2
13 files changed, 111 insertions, 0 deletions
diff --git a/.config/login.d/00_coredumps.sh b/.config/login.d/00_coredumps.sh
new file mode 100644
index 0000000..8fcc61b
--- /dev/null
+++ b/.config/login.d/00_coredumps.sh
@@ -0,0 +1 @@
+ulimit -c unlimited # save core dumps
diff --git a/.config/login.d/00_path.sh b/.config/login.d/00_path.sh
new file mode 100644
index 0000000..a45f8fd
--- /dev/null
+++ b/.config/login.d/00_path.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if type config-path &>/dev/null; then
+ config_path=config-path
+else
+ # Bootstrap finding config-path
+ config_path="$HOME/.local/bin/config-path"
+fi
+eval "$("$config_path" | sed 's/^/export /')"
diff --git a/.config/login.d/00_umask.sh b/.config/login.d/00_umask.sh
new file mode 100644
index 0000000..8e71ad5
--- /dev/null
+++ b/.config/login.d/00_umask.sh
@@ -0,0 +1 @@
+umask 022
diff --git a/.config/login.d/01_locale.sh b/.config/login.d/01_locale.sh
new file mode 100644
index 0000000..2e4f3c4
--- /dev/null
+++ b/.config/login.d/01_locale.sh
@@ -0,0 +1,3 @@
+if { [[ $LANG = C ]] || [[ -z $LANG ]]; } && grep '^en_US.UTF-8\s' /etc/locale.gen &>/dev/null; then
+ export LANG=en_US.UTF-8
+fi
diff --git a/.config/login.d/01_xdg.sh b/.config/login.d/01_xdg.sh
new file mode 100644
index 0000000..2e0b42c
--- /dev/null
+++ b/.config/login.d/01_xdg.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+# This should be readable by /bin/sh, but I'm going to assume bash.
+
+# Sets up XDG environmental variables, so programs using them don't have to
+# worry about checking if they are set.
+# http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
+
+[[ -n $XDG_DATA_HOME ]] || export XDG_DATA_HOME="$HOME/.local/share"
+[[ -n $XDG_CONFIG_HOME ]] || export XDG_CONFIG_HOME="$HOME/.config"
+[[ -n $XDG_DATA_DIRS ]] || export XDG_DATA_DIRS="/usr/local/share/:/usr/share/"
+[[ -n $XDG_CONFIG_DIRS ]] || export XDG_CONFIG_DIRS="/etc/xdg"
+[[ -n $XDG_CACHE_HOME ]] || export XDG_CACHE_HOME="$HOME/.cache"
+
+# Check if XDG_RUNTIME_DIR is set, but has a bogus setting
+if [[ -n $XDG_RUNTIME_DIR ]] && [[ ! -d $XDG_RUNTIME_DIR ]]; then
+ unset XDG_RUNTIME_DIR
+fi
+
+# Set XDG_RUNTIME_DIR if we can
+if [[ -z $XDG_RUNTIME_DIR ]] && type flock &>/dev/null; then
+ _diy_xdg_runtime_login() {
+ export XDG_RUNTIME_DIR="$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME"
+ readonly XDG_RUNTIME_DIR
+ # There's a race condition here, between the `ln -s` and `flock`.
+ # But it's not like I'll be hammering a box with logins.
+ if [[ ! -d "$XDG_CACHE_HOME" ]]; then
+ local tmp="$(mktemp --tmpdir -- "${USER}@${HOSTNAME}-runtime.XXXXXXXXXX")"
+ mkdir -p -- "$XDG_CACHE_HOME/xdg-runtime-dir"
+ ln -sfT -- "$tmp" "$XDG_RUNTIME_DIR"
+ fi
+ if ! [[ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/.lock" ]]; then
+ exec 7 >"$XDG_CACHE_HOME/xdg-runtime-dir/.lock"
+ fi
+ if flock -sn 7; then
+ trap _diy_xdg_runtime_logout EXIT
+ fi
+ }
+ _diy_xdg_runtime_logout() {
+ if flock -xn 7; then
+ rm -rf -- "$(readlink "$XDG_RUNTIME_DIR")"
+ fi
+ }
+ _diy_xdg_runtime_login
+fi
diff --git a/.config/login.d/02_tmpdir.sh b/.config/login.d/02_tmpdir.sh
new file mode 100644
index 0000000..293064e
--- /dev/null
+++ b/.config/login.d/02_tmpdir.sh
@@ -0,0 +1,21 @@
+if [[ ! -d "$HOME/tmp/$HOSTNAME" ]]; then
+ tmp="$(mktemp --tmpdir -d "$USER@$HOSTNAME-tmpdir.XXXXXXXXXXXXXXXXXXX")"
+ mkdir -p -- "$HOME/tmp"
+ ln -sf "$tmp" "$HOME/tmp/$HOSTNAME"
+ unset tmp
+fi
+export TMPDIR="$HOME/tmp/$HOSTNAME"
+if type flock &>/dev/null; then
+ if [[ "$(readlink -f /dev/fd/7)" != "$(readlink -f "$TMPDIR/.uselock")" ]]; then
+ exec 7>"$TMPDIR/.uselock"
+ fi
+ if flock -sn 7; then
+ _logout_tmpdir_cleanup() {
+ if flock -xn 7; then
+ rm -rf -- "$(readlink -f "$TMPDIR")"
+ rm -- "$TMPDIR"
+ fi
+ }
+ trap _logout_tmpdir_cleanup EXIT
+ fi
+fi
diff --git a/.config/login.d/10_goroot.sh b/.config/login.d/10_goroot.sh
new file mode 100644
index 0000000..89d1037
--- /dev/null
+++ b/.config/login.d/10_goroot.sh
@@ -0,0 +1,3 @@
+if [[ -z $GOROOT ]]; then
+ export GOROOT=/homes/shumakl/.prefix.$(uname -m)/go
+fi
diff --git a/.config/login.d/10_gpg.sh b/.config/login.d/10_gpg.sh
new file mode 100644
index 0000000..cf3c88c
--- /dev/null
+++ b/.config/login.d/10_gpg.sh
@@ -0,0 +1,3 @@
+if [[ -z $GPGKEY ]] && [[ -f "${HOME}/.gnupg/gpg.conf" ]]; then
+ export GPGKEY=`sed -nr 's/^\s*default-key\s+//p' "${GNUPG_HOME:-${HOME}/.gnupg}/gpg.conf"`
+fi
diff --git a/.config/login.d/10_java.sh b/.config/login.d/10_java.sh
new file mode 100644
index 0000000..3c49368
--- /dev/null
+++ b/.config/login.d/10_java.sh
@@ -0,0 +1,6 @@
+_JAVA_OPTIONS=''
+_JAVA_OPTIONS+=' -Dawt.useSystemAAFontSettings=on'
+_JAVA_OPTIONS+=' -Dswing.aatext=true'
+_JAVA_OPTIONS+=' -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel'
+_JAVA_OPTIONS+=" -Djava.io.tmpdir=$TMPDIR"
+export _JAVA_OPTIONS
diff --git a/.config/login.d/10_selected-editor.sh b/.config/login.d/10_selected-editor.sh
new file mode 100644
index 0000000..c1c18fb
--- /dev/null
+++ b/.config/login.d/10_selected-editor.sh
@@ -0,0 +1,11 @@
+# PAM seems to be setting EDITOR...
+if [[ $EDITOR = /usr/bin/vi ]]; then
+ unset EDITOR
+fi
+if [[ -f "$HOME/.selected_editor" ]]; then
+ . "$HOME/.selected_editor"
+ export SELECTED_EDITOR
+ export ALTERNATE_EDITOR
+ export EDITOR="${EDITOR:-$SELECTED_EDITOR}"
+ export VISUAL="${VISUAL:-$SELECTED_EDITOR}"
+fi
diff --git a/.config/login.d/10_spell-check.sh b/.config/login.d/10_spell-check.sh
new file mode 100644
index 0000000..9a24b7e
--- /dev/null
+++ b/.config/login.d/10_spell-check.sh
@@ -0,0 +1,3 @@
+if [[ -z "$DICTIONARY" ]] && [[ -n "$LANG" ]]; then
+ export DICTIONARY="${LANG%%.*}"
+fi
diff --git a/.config/login.d/10_xauthority.sh b/.config/login.d/10_xauthority.sh
new file mode 100644
index 0000000..a27202c
--- /dev/null
+++ b/.config/login.d/10_xauthority.sh
@@ -0,0 +1,4 @@
+# This was needed once with SSH and Fedora boxes.
+if [[ -z $XAUTHORITY ]]; then
+ export XAUTHORITY="$HOME/.Xauthority"
+fi
diff --git a/.config/login.d/90_dot-runtime.sh b/.config/login.d/90_dot-runtime.sh
new file mode 100644
index 0000000..fb7ecd6
--- /dev/null
+++ b/.config/login.d/90_dot-runtime.sh
@@ -0,0 +1,2 @@
+mkdir -p -- ~/.runtime
+ln -sfT -- "$XDG_RUNTIME_DIR" ~/.runtime/"$HOSTNAME"